% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/index-mvgam.R
\name{index-mvgam}
\alias{index-mvgam}
\alias{variables}
\alias{Index}
\alias{and}
\alias{their}
\alias{`mgcv`}
\alias{coefficient}
\alias{names}
\alias{variables.mvgam}
\title{Index \code{mvgam} objects}
\usage{
\method{variables}{mvgam}(x, ...)
}
\arguments{
\item{x}{\code{list} object returned from \code{mvgam}. See \code{\link[=mvgam]{mvgam()}}}

\item{...}{Arguments passed to individual methods (if applicable).}
}
\value{
a \code{list} object of the variables that can be extracted, along
with their aliases
}
\description{
Index \code{mvgam} objects
}
\examples{
\donttest{
simdat <- sim_mvgam(n_series = 1, trend_model = 'AR1')
mod <- mvgam(y ~ s(season, bs = 'cc', k = 6),
             trend_model = AR(),
             data = simdat$data_train,
            chains = 2,
            silent = 2)
variables(mod)
}
}
