% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mvgam-package.R
\docType{package}
\name{mvgam-package}
\alias{mvgam-package}
\title{mvgam: Multivariate (Dynamic) Generalized Additive Models}
\description{
\if{html}{\figure{logo.png}{options: style='float: right' alt='logo' width='120'}}

Fit Bayesian Dynamic Generalized Additive Models to multivariate observations. Users can build nonlinear State-Space models that can incorporate semiparametric effects in observation and process components, using a wide range of observation families. Estimation is performed using Markov Chain Monte Carlo with Hamiltonian Monte Carlo in the software 'Stan'. References: Clark & Wells (2023) \doi{10.1111/2041-210X.13974}.
}
\seealso{
Useful links:
\itemize{
  \item \url{https://github.com/nicholasjclark/mvgam}
  \item \url{https://nicholasjclark.github.io/mvgam/}
  \item Report bugs at \url{https://github.com/nicholasjclark/mvgam/issues}
}

}
\author{
\strong{Maintainer}: Nicholas J Clark \email{nicholas.j.clark1214@gmail.com} (\href{https://orcid.org/0000-0001-7131-3301}{ORCID})

Other contributors:
\itemize{
  \item Sarah Heaps (\href{https://orcid.org/0000-0002-5543-037X}{ORCID}) (VARMA parameterisations) [contributor]
  \item Scott Pease (\href{https://orcid.org/0009-0006-8977-9285}{ORCID}) (broom enhancements) [contributor]
  \item Matthijs Hollanders (\href{https://orcid.org/0000-0003-0796-1018}{ORCID}) (ggplot visualizations) [contributor]
}

}
\keyword{internal}
